LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XComponentSupplier Interface Referencepublished

provides access to a component. More...

`import"XComponentSupplier.idl";`

Inheritance diagram for XComponentSupplier:

## Public Member Functions
::com::sun::star::util::XCloseable | getComponent ()
| allows to get access to a component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a component.

## Member Function Documentation

## ◆ getComponent()

::com::sun::star::util::XCloseable getComponent | ( |  | ) |

allows to get access to a component.

The component may not support com::sun::star::lang::XComponent interface.

Returns
  component representation

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XComponentSupplier.idl